import numpy as np 
import math
import matplotlib.pyplot as plt

def makeDock(dockType):
	lines =  []
	if dockType == 'none':
		lines = []
	elif dockType == 's shape':
		lines.append([0,200,0,0])
		lines.append([200,200,0,300])
		lines.append([200,300,300,300])
		lines.append([300,300,0,300])
		lines.append([300,700,0,0])
		lines.append([700,700,0,500])
		lines.append([500,700,500,500])
		lines.append([500,500,200,500])
		lines.append([400,500,200,200])
		lines.append([400,400,200,500])
		lines.append([0,400,500,500])
	elif dockType == 'blockade':
		lines.append([0,200,0,0])
		lines.append([200,200,0,225])
		lines.append([200,300,225,225])
		lines.append([300,300,0,225])
		lines.append([300,700,0,0])
		lines.append([700,700,0,500])
		lines.append([300,700,500,500])
		lines.append([300,300,275,500])
		lines.append([200,300,275,275])
		lines.append([200,200,275,500])
		lines.append([0,200,500,500])
	else:
		print('Invalid dockType = ',dockType,'when calling dock()')
	dock = np.array(lines)*5
	return dock


#def main():
#	dock = makeDock('open')
#	state = np.array([0,0,0,145,400,0])
#	measurement = sensors.getSensors(state, dock,150)
#
#	print(measurement)
#	for line in dock:
#		plt.plot(line[:2],line[2:],'b')
#	plt.title('Simulated Dock')
#	plt.show()
#
#
#main()


