import numpy as np 
import csv
import os.path

def readEpisodeFile(filename):
	with open(filename, 'r') as file:
		reader = csv.reader(file,delimiter=';',lineterminator = '\r')
		epOut = list(zip(*reader))

	return epOut

def data2file(filename,data):
	#print(data)
	with open(filename, 'w+') as file:
		writer = csv.writer(file, delimiter=';',lineterminator = '\r')
		writer.writerows(data)


def main():
	savePath = 'SimResults/container/Overfitting due to lack of distDot/ep'
	simData = []
	for i in range(910):
		filename = savePath + str(i)+'.csv'
		epOut = readEpisodeFile(filename)
		step 		= [float(number) for number in epOut[0]]
		epReward 	= [float(number) for number in epOut[20]]
		totReward = epReward[-1]
		time = step[-1]
		simData.append([i,totReward,time])
	data2file('SimResults/container/Overfitting due to lack of distDot/simData.csv',simData)

main()